<template>
<div style="width:100%">
  <vue-tabs-chrome theme="custom" v-model="tab" :tabs="tabs" />
</div>
</template>

<script>
export default {
  name:  'tabs',
  props: {
    value: {
      type: String,
    },
  },
  data () {
    return {
      tab:  'google2',
      tabs: [
        { label:'testi1', key:'google1', closeable:false },
        { label:'testi1', key:'google2', closeable:false },
        { label:'testi1', key:'google3', closeable:false },
        { label:'testi1', key:'google4', closeable:false },
        { label:'testi1', key:'google5', closeable:false },
      ],
    }
  },
  watch: {
    tab (value) {
      // console.log('neu: '+val)
      this.$emit('input', value)
    },
  },
}
</script>

<style lang="less">
  .vue-tabs-chrome.theme-custom {
    padding-top: 0;
    background-color: transparent;
    overflow: hidden;

    .tabs-footer,
    .tabs-divider,
    .tabs-background-before,
    .tabs-background-after {
      display: none;
    }

    .tabs-item {
      cursor: pointer;
      .tabs-close { display: none; }
    }
    .tabs-item:hover {
      .tabs-close { display: block;}
    }

    .tabs-content {
      overflow: unset;
      border-bottom: 1px solid #e4e7ed;
    }
    .tabs-background {
      padding: 0;
    }
    .tabs-background-content {
      border-top: 1px solid #e4e7ed;
      border-left: 1px solid #e4e7ed;
      border-right: 1px solid #e4e7ed;
      border-radius: 0;
      background-color: #fff;
    }
    .tabs-content {
      height: 40px;
    }
    .active {
      .tabs-close { display: inline;}
      color: #409eff;
      .tabs-background {
        &::before,
        &::after {
          top: 100%;
          left: 0;
          content: '';
          width: 100%;
          height: 1px;
          background-color: #fff;
          z-index: 1;
          position: absolute;
        }
        &::before {
          top: 0;
          height: 2px;
          background-color: #409eff;
        }
      }
    }
  }

</style>
